import { Controller, Get, Param, Query } from '@nestjs/common';

@Controller('goods')
export class GoodsController {
    constructor() {
        console.log('goods Controller');
    }
    @Get('hello')
    getHello(): string {
        return 'Hello World!';
    }



    // 示例2：路径参数
    @Get('detail/:id')
    getDetail(@Param('id') id: string) {
        return {
            id: id,
            detail: `Detail for product ${id}`
        };
    }

    // 示例3：多个查询参数
    @Get('search')
    searchProducts(
        @Query('keyword') keyword: string,
        @Query('page') page: number = 1,
        @Query('limit') limit: number = 10
    ) {
        return {
            keyword,
            page,
            limit,
            results: []
        };
    }
}

